Um recurso de segurança do GNOME está prestes a ser desativado!

Um recurso de segurança do GNOME está prestes a ser desativado. Entenda porque isso está acontecendo, conferindo os detalhes do assunto.


Se você é um usuário de Linux há bastante tempo, obviamente já conhece o GNOME – um dos ambientes de desktop mais populares nesse sistema.
Um recurso de segurança do GNOME está prestes a ser desativado!
Um recurso de segurança do GNOME está prestes a ser desativado!

Durante o período de tempo, ele encontrou seu caminho em todas as principais distribuições do Linux – Ubuntu, Linux Mint, Debian, CentOS e muito mais.

O GNOME também passou por um longo processo de atualizações e modificações.

Um recurso de segurança do GNOME está prestes a ser desativado!

Agora, o Ubuntu e o CentOS (versões atuais) estão desativando um recurso de segurança do GNOME.

Este recurso de segurança foi introduzido em 2017, e o nome dele é .

Bubblewrap é um ambiente sandbox que fornece analisador de miniaturas seguro no GNOME, a partir do lançamento do GNOME 3.26.

Thumbnail ou Miniaturas são os pequenos ícones que ficam ao lado de cada um dos arquivos e pastas/diretórios para lhe dar uma pequena ideia do que você pode esperar dentro dele.

Os pequenos ícones são realmente muito úteis e algumas das miniaturas são agora sinônimos de diferentes softwares populares.

Cada vez que você navega por um arquivo ou pasta/diretório, o sistema gera miniaturas. Esse processo é executado automaticamente por analisadores de miniaturas – scripts que criam o ícone.

Nos últimos anos, os pesquisadores de segurança identificaram que os analisadores de miniaturas também podem agir como um vetor de ataque quando um hacker pode enganar o usuário e fazer o download de um arquivo trap na sua área de trabalho.

O analisador de miniaturas, em seguida, executa o código malicioso.

Esta é a razão pela qual o Projeto GNOME adicionou o recurso Bubblewrap para os scripts de analisador de miniaturas no GNOME.

Bubblewrapper está faltando!

De acordo com o jornalista alemão e pesquisador de segurança Hanno Boeck, o Ubuntu está atualmente desativando o suporte do Bubblewrap dentro de seu ambiente GNOME shell para todas as versões recentes do sistema operacional.

De acordo com o pesquisador de segurança do Google, Tavis Ormandy, as sandboxes do Bubblewrap também não estavam presentes na versão padrão do CentOS 7.x.

No entanto, o Ubuntu tem uma explicação válida e razoável para o comportamento. Alex Murray, líder de tecnologia de segurança do Ubuntu na Canonical, descreveu que a equipe do Ubuntu optou por desativar o recurso porque não tinha tempo e recursos suficientes para auditar o recurso Bubblewrap.

De acordo com Murray, o Bubblewrap é um software relativamente novo que executa coisas complicadas para configurar essas sandboxes.

Eles não queriam ativar o recurso porque, mesmo que haja alguma vulnerabilidade no próprio processo, isso pode causar grandes desastres.

Murray também disse que as críticas são válidas. No entanto, para garantir uma distribuição de alta qualidade, cada pacote deve passar por um processo de revisão minucioso, e isso leva tempo.

Ele também assegurou que é muito provável que o recurso chegue ao mainstream em breve.

O que está sendo falado no blog

Ajude a manter o Blog do Edivaldo - Faça uma doação

Se você gosta do conteúdo do Blog, você pode ajudar a manter o site simplesmente fazendo uma doação única, esporádica ou mensal, usando uma das opções abaixo:

Doação usando Paypal

Doação usando PagSeguro
Outras formas de ajudar a manter o Blog do Edivaldo



blog comments powered by Disqus